```
export function transformDomArray(domArray, options={}){
  let mappings = {
    'P': 'DIV',
    'SPAN': null, // spans should just be replaced by their children
    'EM': 'I'
  }
  let mappingKeys = Object.keys(mappings)
  let res = _.map(domArray, (el)=>{
    const nodeName = el.nodeName
    if(nodeName == 'SPAN' && el.className.includes('au-ref-link')){
      return el
    }
    if(mappingKeys.indexOf(nodeName) > -1){
      if(mappings[nodeName]){
        return $("<" + mappings[nodeName] + ">")[0]
      }
      else{
        return mappings[nodeName]
      }
    }
    else{
      return el
    }
  })
  return _.compact(res)
} 
```